Package de.gebit.integrity.parameter.conversion

## Class ConversionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - de.gebit.integrity.parameter.conversion.ConversionException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `ConversionFailedException`, `ConversionUnsupportedException`

      public abstract class ConversionException
      extends RuntimeException

  Base class for conversion-related exceptions.
  Author:
    Rene Schneider - initial API and implementation
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConversionException​(Class<?> aSourceType, Class<?> aTargetType, String aMessage)` | Instantiates a new conversion exception.
    `ConversionException​(Class<?> aSourceType, Class<?> aTargetType, String aMessage, Throwable aCause)` | Instantiates a new conversion exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getMessage()` |
    `Class<?>` | `getSourceType()` |
    `Class<?>` | `getTargetType()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConversionException

          public ConversionException​(Class<?> aSourceType,
                                     Class<?> aTargetType,
                                     String aMessage,
                                     Throwable aCause)

      Instantiates a new conversion exception.
      Parameters:
        `aSourceType` - the a source type
        `aTargetType` - the a target type
        `aMessage` - the a message
        `aCause` - the a cause

    - #### ConversionException

          public ConversionException​(Class<?> aSourceType,
                                     Class<?> aTargetType,
                                     String aMessage)

      Instantiates a new conversion exception.
      Parameters:
        `aSourceType` - the a source type
        `aTargetType` - the a target type
        `aMessage` - the a message

  - ### Method Detail

    - #### getSourceType

          public Class<?> getSourceType()

    - #### getTargetType

          public Class<?> getTargetType()

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`